const { MessageEmbed } = require("discord.js");

module.exports = {
  name: "mute",
  aliases: ["mutes", "muted"],
  category: "moderation",
  description: "Mute",
  run: async (client, message, args) => {
    if (!message.member.hasPermission("MANAGE_ROLES")) {
      return message.channel.send("Entschuldigung, Sie brauchen die Erlaubnis, jemanden stummzuschalten");
    }
    if (!message.guild.me.hasPermission("MANAGE_ROLES")) {
      return message.channel.send("Ich habe keine Berechtigung zum Stummschalten");
    }

    const user = message.mentions.members.first();

    if (!user) {
      return message.channel.send("\```bitte erwähnen Sie die Mitglieder für Mute\```");
    }
    if (user.id === message.author.id) {
      return message.channel.send("Ich kann Sie nicht stumm schalten, da Sie der Verfasser der Nachricht sind");
    }
    let reason = args.slice(1).join("");

    if (!reason) {
      return message.channel.send(" \```Bitte geben Sie einen Grund für die Stummschaltung an\``` ");
    }

    const vrole = user.roles.cache

    let muterole = message.guild.roles.cache.find(x => x.name === "muted");

    if (!muterole) {
      return message.channel.send("\```bitte erstellen Sie einen Rollennamen mit stummgeschaltetem \``` ");
    }
    
    await user.roles.remove(vrole);
    await user.roles.add(muterole);

    await message.channel.send(
      `you muted ${message.mentions.users.first().username} for ${reason}`
    );

    user.send(`Sie werden in ${message.guild} für ${reason} stummgeschaltet`
    );
  }
};
